List All Group Media

This endpoint returns all available media (e.g. images) associated with the
specified group.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Group media includes media such as set symbols and product boxes.

{
  "success": true,
  "errors": [
    "string"
  ],
  "results": [
    {
      "mediaType": "string",
      "contentList": [
        {
          "url": "string",
          "displayOrder": 0
        }
      ]
    }
  ]
}
/catalog/groups/1/media

{
    "success": true,
    "errors": [],
    "results": [
        {
            "mediaType": "icons",
            "contentList": [
                {
                    "url": "http://1843909369ce6d08b7f5-cdca87e5d40a69f800873e2522c0355e.r98.cf1.rackcdn.com/1.jpg",
                    "displayOrder": 1
                },
                {
                    "url": "http://1843909369ce6d08b7f5-cdca87e5d40a69f800873e2522c0355e.r98.cf1.rackcdn.com/10thEdition_204.png",
                    "displayOrder": 2
                }
            ]
        }
    ]
}
Path Params
int32
required

The Id of the group whose media should be returned.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

400

GroupId is less than or equal to 0.

404

Group not found or media not found.

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
text/json